Web lists-archives.com

Re: [Samba] samba-tool domain classicupgrade smb_krb5_context_init_basic failed (Invalid argument)




On 13/02/17 10:18, Andrew Bartlett via samba wrote:
> On Mon, 2017-02-13 at 10:00 +1100, Tom Robinson via samba wrote:
>> On 12/02/17 03:13, Rowland Penny via samba wrote:
>>> On Fri, 10 Feb 2017 12:34:23 +1100
>>> Tom Robinson via samba <samba@xxxxxxxxxxxxxxx> wrote:
>>>
>>>> I've grabbed samba 4.5.4 and customised an existing rpm spec
>>>> file.
>>>> Still some issues there.
>>>>
>>>> What replaces '--with-aio-support' in the configuration step now?
>>>>
>>> As far as I can see, nothing, see the 4.4.0 release notes here:
>>>
>>> https://www.samba.org/samba/history/samba-4.4.0.html
>>>
>>> Rowland
>>>
>> Thanks Rowland.
>>
>> Working through this build a few things have come up. The next is:
>>
>> pam_smbpasswd
>>
>> which appeared in the source (samba-4.3.13/source3/pam_smbpass) until
>> samba-4.3.13 but I don't see
>> any recognisable notes about the change not to including it after
>> that.
>>
>> Any clues?
> I'm sorry about the poor notice.  It looks like I failed to ensure this
> was mentioned in the WHATSNEW:
>
> commit 3c00e8d76a2ef6194a8ce522c15853e5b8e9262b
> Author: Andrew Bartlett <abartlet@xxxxxxxxx>
> Date:   Sat Oct 10 08:45:41 2015 +1300
>
>     pam_smbpass: REMOVE this PAM module
>     
>     This pam module causes GPLv3, thread-unsafe Samba code to be directly loaded
>     into the address space of many system services.  The code in question was not
>     expected to run in this context, and while using the Samba, rather than the system
>     password file is a admirable goal, this needs to be done over inter-process
>     communication, such as is done by pam_winbind.
>     
>     pam_winbind is not a total replacement, as the migrate functionality used
>     to keep the Samba password up to date with the system password is not
>     present, but otherwise can provide essentially the same services.
>     
>     Andrew Bartlett
>     
>     Signed-off-by: Andrew Bartlett <abartlet@xxxxxxxxx>
>     Reviewed-by: Jeremy Allison <jra@xxxxxxxxx>
>
> Sorry,
No Worries, sorted now.

My next concern is codepages. The latest source (I've moved to 4.5.5 now) doesn't have any
codepages. The RPM spec file I'm customising lists and wants to install them here:

/usr/share/samba/codepages
/usr/share/samba/codepages/lowcase.dat
/usr/share/samba/codepages/upcase.dat
/usr/share/samba/codepages/valid.dat

Are there still codepages to be packaged?

Kind regards,
Tom


Attachment: signature.asc
Description: OpenPGP digital signature

-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba